const mongoose = require("mongoose");

const CourseSchema = new mongoose.Schema({
  courseId: { type: String, required: true, unique: true },
  name: { type: String, required: true },
  department: { type: String, required: true },
  program: { type: String, required: true },
  scheme: { type: String, required: true },
  semester: { type: Number, required: true }, 
  status: { type: String, enum: ["submitted", "not submitted"], default: "not submitted" },
});

module.exports = mongoose.model("Course", CourseSchema);
